#uninstall.sh
#===============================================================================================
# Removes the spreader application from the device
#
# ****** CONFIGURE SETTINGS HERE ****************
#===============================================================================================
SPREADER_GPS_REPORT=1                           # GPS Report to trigger spreader app to run
SPREADER_GPS_REPORT_SCRIPT=report1020.sh        # Report Script to run spreader app
SPREADER_PCYP_STRING=1000			            # Set the PCYP id to use.
SPREADER_SERIAL_READ_SCRIPT=report20.sh		    # Script to run when catting the port
SPREADER_SERIAL_READ_VCC_TRIGGER=2		        # VCC trigger number to monitor ignition on.

# Remove report files
rm -f /var/data/reports/scripts/spreader.py
rm -f /var/data/reports/scripts/$SPREADER_GPS_REPORT_SCRIPT
rm -f /var/data/reports/scripts/$SPREADER_SERIAL_READ_SCRIPT
rm -f /var/data/reports/scripts/uninstall_cirus.sh

rm -f /var/data/reports/scripts/spreader_data.*
rm -f /tmp/spreader_data.*

cmd port 1 115200 8 n 1 0
cmd mode 2

# Spreader Report
if /usr/bin/cmd gpsaddmes | grep "$SPREADER_PCYP_STRING"; then
    cmd gpsdelmes $SPREADER_GPS_REPORT $SPREADER_PCYP_STRING
fi

# Turn off the VCC report
# Turn off the VCC condition for the serial port trigger read.
cmd vccreport $SPREADER_SERIAL_READ_VCC_TRIGGER 0
cmd vcccond $SPREADER_SERIAL_READ_VCC_TRIGGER 0

#Removes the USR_STR and GPIO Data from the pcyp string
if /usr/bin/cmd pcyp msg query | grep "$SPREADER_PCYP_STRING:"; then
    cmd pcyp msg del $SPREADER_PCYP_STRING
fi

cmd save
cmd event add Cirus_UNINSTALL_OK
